
Redmine - Patch #26727

udpate_all 

2017-08-21 04:33 - jwjw yy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

/app/controllers/wiki_controller.rb

272        @page.children.each do |child|

273          child.update_attribute(:parent, reassign_to)

274        end

 could use

@page.children.update_all(parent: reassign_to)

History

#1 - 2017-08-21 07:54 - Toshi MARUYAMA

- Description updated

- Category set to Code cleanup/refactoring

- Status changed from New to Needs feedback

Please post by patch.

#2 - 2017-08-23 07:00 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

Please post by patch.

 Please post by attachment patch file.

#3 - 2022-08-06 08:51 - Go MAEDA

I don't think the `update_attribute` can be replaced with `update_all` because it does not invoke callbacks.

#4 - 2023-08-15 10:54 - Go MAEDA

- Status changed from Needs feedback to Closed
